<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Darknet](./bitburner.darknet.md) &gt; [getServerRequiredCharismaLevel](./bitburner.darknet.getserverrequiredcharismalevel.md)

## Darknet.getServerRequiredCharismaLevel() method

Gets the required charisma level to target the server with dnet.heartbleed().

Insufficient charisma will also cause authentication to take much longer - or, in certain servers deep in the darknet, be impossible.

**Signature:**

```typescript
getServerRequiredCharismaLevel(host: string): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

host


</td><td>

string


</td><td>

Hostname/IP of the server to check.


</td></tr>
</tbody></table>

**Returns:**

number

Required charisma level of the host.

## Remarks

RAM cost: 0.1 GB

